This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 972722 - yum-complete-transaction is not usable to finish aborted transaction
yum-complete-transaction is not usable to finish aborted transaction
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 974576
  Show dependency treegraph
 
Reported: 2013-06-10 09:14 EDT by Zdenek Kabelac
Modified: 2015-06-29 07:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 974576 (view as bug list)
Environment:
Last Closed: 2015-06-29 07:59:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum log transaction 1 (11.20 KB, text/plain)
2013-06-10 09:28 EDT, Zdenek Kabelac
no flags Details
yum log transaction 2 (76.87 KB, text/plain)
2013-06-10 09:29 EDT, Zdenek Kabelac
no flags Details
yum log transaction 1 (3.53 KB, text/plain)
2013-06-10 09:29 EDT, Zdenek Kabelac
no flags Details
Yum log from last couple days (49.06 KB, text/plain)
2013-06-10 09:30 EDT, Zdenek Kabelac
no flags Details
List of installed package (after yum upgrade) (111.96 KB, text/plain)
2013-06-10 09:32 EDT, Zdenek Kabelac
no flags Details

  None (edit)
Description Zdenek Kabelac 2013-06-10 09:14:21 EDT
Description of problem:

Yesterday I've run  'yum upgrade'  (with --skip-broken) for my Rawhide system.
However during upgrade of  'systemd-libs' there was no progress being done for a longer time - so I've aborted upgrade  (while  ~8 other package were already upgraded in this upgrade transaction).

Now I wanted to retry the upgrade (soon after I've aborted 'yum upgrade')  - and I've been suggested by the repeated execution of 'yum upgrade' to use  'yum-complete-transaction'.

So I've used 'y-c-t' and after quite lengthy 100% CPU usage (in range of minutes) I've been informed that    systemd-libs package is part of some key component in the system and cannot be removed (not sure about the exact wording here) and transaction cannot be finished and process aborted.

I've tried to remove duplicate installed package with: 'package-cleanup --cleandupes' - but this again wanted to remove like 1/2 my installed packages (pretty long list of package) - and it appears to by my already reported Bug 733810 which is then still valid for rawhide).

So I'd to manually remove duplicate packages with 'rpm -e --nodeps'
and 'yum upgrade' some packages explicitly to fix the problem.
Then I've been able to fully upgrade my Rawhide via 'yum upgrade'.

At this moment I've once again executed 'y-c-t' to really finished opened transactions - at this point it has passed - however using quite a lot of CPU power to do that - since verification of packages went with the speed like 2-3 packages per second to just display the package was already installed. As a bonus after all ~500 packages were completed this way - it has took another couple minutes just to spin 100% on CPU with final message that transaction has been finally completed.

Used hw was - T61 - 2.2GHz C2D, 4G Ram, SSD 

While I'd been able to fix my problem - I doubt any non-skilled user would do - so IMHO 'y-c-t' is not really a tool for end-user.

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-14.fc20.noarch

How reproducible:


Steps to Reproduce:
1. abort yum upgrade transaction which uses --skip-broken (any rawhide upgrade)
2. try to finish abort transaction
3. (maybe just playing with systemd packages here would be enough)

Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2013-06-10 09:28:40 EDT
Created attachment 759201 [details]
yum log transaction 1
Comment 2 Zdenek Kabelac 2013-06-10 09:29:10 EDT
Created attachment 759202 [details]
yum log transaction 2
Comment 3 Zdenek Kabelac 2013-06-10 09:29:37 EDT
Created attachment 759203 [details]
yum log transaction 1
Comment 4 Zdenek Kabelac 2013-06-10 09:30:47 EDT
Created attachment 759205 [details]
Yum log from last couple days
Comment 5 Zdenek Kabelac 2013-06-10 09:32:03 EDT
Created attachment 759206 [details]
List of installed package (after yum upgrade)
Comment 6 Frank McCormick 2013-06-19 10:59:35 EDT
Seemingly the same problem hit me this morning. Yum halted at the beginning of the installation phase of an update - but yum-complete-transaction was unable to cleanup the mess. It wanted to remove half my installation. I had to put the whole thing together with rpm -e --nodeps [duplicate package], rpm -i [new package] interspersed with yum check all's. Quite a mess which required a lot of hand work to cleanup.
Comment 7 Adam Williamson 2013-06-20 20:43:08 EDT
frank: did you catch (or can you tell from 'yum history' or yum logs) what package caused the yum process to quit (presumably crash)? That's rather worrying.
Comment 8 Frank McCormick 2013-06-20 21:37:57 EDT
Unfortunately no adam, I had a look at the yum log and it simply shows the last package being installed was ibus something or other...then my yum checks etc when I was cleaning up the mess.

I don't think it was a crash....yum  just returned to the prompt. Sorry but I was more concerned with cleaning up the mess rather than anything else.

The problem is that I am having hardware problems with this machine (I suspect memory despite the fact that repeated memchecks have found nothing)...so I am always worried it;s going to lock up in the middle of an update (such as happened to me about 10 days ago)...that too created a mess I couldn't clean up.

But this time it didn't lock up...yum just stopped...
Comment 9 Adam Williamson 2013-06-20 21:45:33 EDT
well, I mean, if it just flat stops in the middle of a transaction, to me that indicates something somewhere failed catastrophically. it's clearly not the 'intended behaviour'. but if you're having hardware issues that may explain it...
Comment 10 Fedora End Of Life 2013-09-16 10:08:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 11 Fedora End Of Life 2015-05-29 05:06:47 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-06-29 07:59:58 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.